.cart-step2-container {
    flex-direction: column;
}

.back-to-select--wrapper {
    display: flex;
    align-items: center;
    gap: 1rem;
    justify-content: center;
}

.form-info-field-wrapper {
    display: flex;
    justify-content: flex-end;
    margin-top: -1.5rem;
}

.form-info-field-link {
    display: block;
    font-size: 0.875rem;
    color: var(--black);
    font-weight: 400;
    text-decoration: underline;
    text-underline-position: under;
    transition: 0.3s ease-in-out all;
}

.form-info-field-link::first-letter {
    text-transform: uppercase;
}

.form-info-field-link:hover {
    color: var(--orange);
}

.cart-step2-container .back-to-select--button {
    color: var(--orange);
    background: transparent;
    border-radius: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.3rem;
    cursor: pointer;
}

.back-to-select--button .back-to-select--ico {
    transform: rotate(90deg);
}

.have__account {
    font-size: 1.2rem;
    margin: 1rem 0 1rem 0;
    text-align: center;
    font-weight: 500;
}

.cart-step2 {
    background: white;
    padding: 1.8rem 7rem 6rem 7rem;
    width: 100%;
    min-width: 600px;
    max-width: 600px;
}

.cart-step2 .new-step_btn.btn--p-hover {
    text-transform: uppercase;
}

.-delivery-form-wrapper {
    display: none;
}

.account-choice_header,
.form_header,
p[data-title-description] {
    font-size: 1.6rem;
    text-align: center;
    font-weight: 600;
}

.form__description {
    text-align: center;
    margin: 2rem 0;
    font-weight: 300;

    strong {
        color: var(--clr-primary);
    }
}

.account-choice_header-container {
    margin-bottom: 2rem;
}

.form_header-container {
    margin: 2rem 0;
}

.account-choice_input-block {
    margin-bottom: 1rem;
    height: 1.3rem;
    line-height: 1.3rem;
}

.account-choice_input {
    width: 1.3rem;
    height: 1.3rem;
}

.account-choice_label {
    font-size: 1.2rem;
    margin-bottom: 1rem;
    width: 100%;
    text-align: center;
    cursor: pointer;
    line-height: 100%;
    height: 100%;
    display: inline-block;
    vertical-align: bottom;
    margin-left: 0.5rem;
}

.login-form_link {
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
    font-size: 0.75rem;
    color: black;
    text-decoration: none;
}

.cart-step2_text {
    margin: 0.4rem 0;
    font-size: 0.75rem;
}

.account-choice_input {
    cursor: pointer;
    -webkit-appearance: none;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    outline: none;
    border: 1px solid #e0e0e0;
}

.account-choice_input:before {
    content: "";
    display: block;
    width: 60%;
    height: 60%;
    margin: 20% auto;
    border-radius: 50%;
}

.account-choice_input:checked:before {
    background: var(--orange);
    border-color: var(--orange);
}

.is__bordered {
    border: 1px solid var(--orange);
}

.account-choice_input:checked {
    background: var(--orange);
    border-color: var(--orange);
}

.cart-step2-container {
    display: flex;
    gap: 1rem;
    justify-content: center;
    align-items: center;
}

.account-choice-inputs {
    margin-top: 6rem;
}

.choice_extended_label {
    padding-left: 1rem;
    justify-content: center;
}

.copy_from_delivery-wrapper {
    display: flex;
    justify-content: flex-start;
    margin: 1rem 0 0;
}

.copy_from_delivery {
    display: block;
    font-size: 0.875rem;
    color: var(--black);
    font-weight: 400;
    text-decoration: underline;
    text-underline-position: under;
    transition: 0.3s ease-in-out all;
}

.copy_from_delivery:hover {
    color: var(--orange);
}

.is__hide {
    display: none;
}

.doc__type__container {
    display: flex;
    justify-content: space-between;
    gap: 1rem;
}

.create__account--box {
    margin-bottom: 1.5rem;
}

.not-have-account {
    color: #cacaca;
    font-size: 0.8rem;
    text-align: center;
    display: flex;
    justify-content: center;
    margin-bottom: 0.5rem;
}

@media only screen and (max-width: 800px) {
    .cart-step2 {
        padding: 1.8rem 2rem;
        min-width: 100%;
        width: 100%;
        margin: 0;
    }

    .cart-step2-container {
        margin: 0 -1em;
    }
}

.is__dark {
    color: var(--black);
}

.has-link a {
    color: currentColor;
    text-decoration: underline;
    text-underline-position: under;
    transition: 0.2s ease-in-out all;
}

.has-link a:hover {
    color: var(--orange);
}

.cart-step2-container .form_input:focus {
    border: 2px solid var(--black) !important;
    box-shadow: unset !important;
    padding: 15px;
}

.cart-step2-container .nice-select {
    transition: 0s linear border;
}

.cart-step2-container .nice-select.open {
    border: 2px solid var(--black) !important;
    padding-left: 19px;
    padding-right: 29px;
}

.form_input--submit {
    margin: 1.25rem 0 0;
    width: 100%;
}

.login__other-sections-container {
    display: flex;
    flex-direction: column;
    gap: 2.5rem;
    margin-top: 2.5rem;
}

.login__section-title {
    font-size: 1.125rem;
    line-height: 120%;
}

.login__section-title--medium {
    font-weight: 500;
}

.social-media-login {
    display: flex;
    flex-direction: column;
    gap: 0.75rem;
}

.social-media-login__list {
    display: flex;
    align-items: center;
    gap: 0.75rem;
    list-style: none;
}

.social-media-login__tile {
    width: 3rem;
    height: 3rem;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid var(--darkgrey);
    border-radius: var(--border-radius);
    background: transparent;
    transition: 0.3s ease-in-out all;
}

.social-media-login__tile:hover {
    background: var(--bg-light-grey);
}

.social-media-login__tile img {
    width: 1.25rem;
    height: 1.25rem;
    object-fit: contain;
    object-position: center;
    user-select: none;
}

.register-account {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 0.5rem;
}

.register-account__link {
    color: var(--black);
    line-height: 100%;
    text-decoration: underline;
    text-underline-position: under;
    transition: 0.3s ease-in-out all;
}

.register-account__link--margin {
    margin-top: 0.25rem;
}

.register-account__link:hover {
    color: var(--orange);
}

.account-benefits {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.account-benefits__list {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    list-style: none;
}

.account-benefits__list > li {
    line-height: 1.5rem;
    display: grid;
    grid-template-columns: auto minmax(0, 1fr);
    gap: 0.5rem;
}

.account-benefits__list > li::before {
    content: "";
    display: block;
    width: 1.5rem;
    height: 1.5rem;
    background: var(--icon) no-repeat center / contain;
}

/*  */
.reset__password__title {
    text-align: center;
    font-size: 1.6rem;
    font-weight: 600;
    margin: 2rem 0;
}

.form-otl .form_row-input-label {
    margin: unset;
}

.otl-fields form .form_row-input-label.pro_form:not(:first-of-type) {
    margin-top: 2rem;
}

.otl-fields__description {
    line-height: 120%;
    text-align: center;
    margin: auto;
    width: 70%;
    margin-top: -0.75rem;
    margin-bottom: 1.5rem;
}

.otl-fiedls__return {
    margin-top: 1rem;
    color: var(--black);
    text-decoration: underline;
    text-underline-position: under;
    line-height: 120%;
    transition: 0.3s ease-in-out all;
}

.otl-fiedls__return:hover {
    color: var(--orange);
}

.form-submit-btn {
    width: 100%;
    margin-top: 2rem;
}

.form_row-input-label.-focused span.err {
    top: -1.5rem;
}

.form_row-input-label {
    margin: 2rem 0;
}

.nip-field-wrapper.nip-field-wrapper--pl {
    display: grid;
    grid-template-columns: minmax(0, 1fr) auto;
    gap: 0.5rem;
    margin: 2rem 0;
}

.nip-field-wrapper.nip-field-wrapper--pl .form_row-input-label {
    margin: unset;
}

.nip-field-wrapper.nip-field-wrapper--pl .btn {
    padding: 0.75rem 1rem;
    height: 100%;
}